Loading...
Searching...
No Matches
gridfire::approx8::Jacobian Struct Reference

Functor to calculate the Jacobian matrix for implicit solvers. More...

`#include <engine_approx8.h>`

## Public Member Functions

void | operator() (const vector_type &y, matrix_type &J, double, vector_type &dfdt) const
| Calculates the Jacobian matrix.

## Detailed Description

Functor to calculate the Jacobian matrix for implicit solvers.

Examples
  /Users/tboudreaux/Programming/4DSTAR/GridFire/src/include/gridfire/engine/engine_approx8.h.

## Member Function Documentation

## operator()()

void gridfire::approx8::Jacobian::operator() | ( | const vector_type & | y,
|  | matrix_type & | J,
|  | double | ,
|  | vector_type & | dfdt ) const

Calculates the Jacobian matrix.

Parameters

  y | State vector.
  J | Jacobian matrix.
  dfdt | Derivative of the state vector.

Examples
  /Users/tboudreaux/Programming/4DSTAR/GridFire/src/include/gridfire/engine/engine_approx8.h.

The documentation for this struct was generated from the following files:

- src/include/gridfire/engine/engine_approx8.h
- src/lib/engine/engine_approx8.cpp